local vUI = CreateFrame("Frame", nil, UIParent)

function vUI:ADDON_LOADED(event, addon)
	if (addon ~= "vUI") then
		return
	end
	
	if IsAddOnLoaded("HydraUI") then -- if HydraUI is found, copy all vUI data to it and stop running vUI
		if (vUIProfileData and not HydraUIProfileData) then
			HydraUIProfileData = vUIProfileData
		end
		
		if vUIProfiles then
			for k, v in pairs(vUIProfiles) do
				if v.Move then
					for frame, pos in pairs(v.Move) do
						local New, Count = gsub(frame, "vUI", "HydraUI")
						
						if Count > 0 then
							v.Move[gsub(frame, "vUI", "HydraUI")] = gsub(pos, "vUI", "HydraUI")
							v.Move[frame] = nil
						end
					end
				end
			end
			
			HydraUIProfiles = vUIProfiles
		end
		
		if vUIData then
			HydraUIData = vUIData
		end
		
		if vUIGold then
			HydraUIGold = vUIGold
		end
		
		DisableAddOn(addon)
		self:UnregisterEvent(event)
		ReloadUI()
		
		return
	end
end

function vUI:OnEvent(event, ...)
	if self[event] then
		self[event](self, event, ...)
	end
end

vUI:RegisterEvent("ADDON_LOADED")
vUI:SetScript("OnEvent", vUI.OnEvent)